Bug 961177 - Review Request: python-grokmirror - Framework to smartly mirror git repositories
Review Request: python-grokmirror - Framework to smartly mirror git repositories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 23:47 EDT by Konstantin Ryabitsev
Modified: 2013-07-03 16:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-grokmirror-0.3.4-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 22:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2013-05-08 23:47:50 EDT
Spec URL: http://fedorapeople.org/~icon/f/python-grokmirror.spec
SRPM URL: http://fedorapeople.org/~icon/f/python-grokmirror-0.3-1.fc18.src.rpm
Description:
Grokmirror was written to make mirroring large git repository
collections more efficient. Grokmirror uses the manifest file published
by the master mirror in order to figure out which repositories to
clone, and to track which repositories require updating. The process is
extremely lightweight and efficient both for the master and for the
mirrors.

Fedora Account System Username: icon
Comment 1 Mario Blättermann 2013-06-03 14:56:43 EDT
rm -rf %{buildroot}
is only needed if you want to provide your package for EPEL 5. In that case, some other stuff is missing from your spec:
http://fedoraproject.org/wiki/EPEL:Packaging#BuildRoot_tag
Comment 2 Konstantin Ryabitsev 2013-06-03 15:08:18 EDT
No, I have no intention to provide this for EPEL 5, only EPEL 6. I've updated the spec file and bumped it to grokmirror version 0.3.3.

http://fedorapeople.org/~icon/f/python-grokmirror.spec
http://fedorapeople.org/~icon/f/python-grokmirror-0.3.3-1.fc18.src.rpm

Thanks!
Comment 3 Mario Blättermann 2013-06-04 13:29:55 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5466635


$ rpmlint -i -v *python-grokmirror.src: I: checking
python-grokmirror.src: I: checking-url https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git (timeout 10 seconds)
python-grokmirror.src: I: checking-url https://www.kernel.org/pub/software/network/grokmirror/grokmirror-0.3.3.tar.xz (timeout 10 seconds)
python-grokmirror.src: W: file-size-mismatch grokmirror-0.3.3.tar.xz = 29372, https://www.kernel.org/pub/software/network/grokmirror/grokmirror-0.3.3.tar.xz = 30120
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.

python-grokmirror.noarch: I: checking
python-grokmirror.noarch: I: checking-url https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git (timeout 10 seconds)
python-grokmirror.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/grokmirror/__init__.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-grokmirror.spec: I: checking-url https://www.kernel.org/pub/software/network/grokmirror/grokmirror-0.3.3.tar.xz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 1 warnings.


Indeed, the file sizes differ (28,7 KiB/29,4 KiB). What happened here?

Please remove the shebang from the file /usr/lib/python2.7/site-packages/grokmirror/__init__.py. Files in %{python_sitelib} don't need neither to have a shebang nor to be executable.
Comment 4 Konstantin Ryabitsev 2013-06-14 12:14:51 EDT
Sorry for the delay, I've uploaded updated specfiles that fix these problems:

http://fedorapeople.org/~icon/f/python-grokmirror.spec
http://fedorapeople.org/~icon/f/python-grokmirror-0.3.4-1.fc18.src.rpm

(The size difference in the previous srpm is because of recompression on the kernel.org upload server -- I've made sure to download it from the final location this time instead of using a locally compressed copy.)
Comment 5 Mario Blättermann 2013-06-16 06:54:36 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5509040

$ rpmlint -i -v *python-grokmirror.src: I: checking
python-grokmirror.src: I: checking-url https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git (timeout 10 seconds)
python-grokmirror.src: I: checking-url https://www.kernel.org/pub/software/network/grokmirror/grokmirror-0.3.4.tar.xz (timeout 10 seconds)
python-grokmirror.noarch: I: checking
python-grokmirror.noarch: I: checking-url https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git (timeout 10 seconds)
python-grokmirror.spec: I: checking-url https://www.kernel.org/pub/software/network/grokmirror/grokmirror-0.3.4.tar.xz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint is clean.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    sha256sum *
    b25d19c974326ba71816550b1493a6972e39adb879f9d8945928fe0ee4dc9810  grokmirror-0.3.4.tar.xz
    b25d19c974326ba71816550b1493a6972e39adb879f9d8945928fe0ee4dc9810  grokmirror-0.3.4.tar.xz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 6 Konstantin Ryabitsev 2013-06-16 10:22:53 EDT
Thanks, Mario!

New Package SCM Request
=======================
Package Name: python-grokmirror
Short Description: Framework to smartly mirror git repositories
Owners: icon
Branches: f18 f19 el6
InitialCC:
Comment 7 Gwyn Ciesla 2013-06-17 08:25:51 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-06-17 10:16:11 EDT
python-grokmirror-0.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-grokmirror-0.3.4-1.el6
Comment 9 Fedora Update System 2013-06-17 10:17:30 EDT
python-grokmirror-0.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-grokmirror-0.3.4-1.fc18
Comment 10 Fedora Update System 2013-06-17 10:18:20 EDT
python-grokmirror-0.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-grokmirror-0.3.4-1.fc19
Comment 11 Fedora Update System 2013-06-17 13:01:52 EDT
python-grokmirror-0.3.4-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-06-26 22:09:49 EDT
python-grokmirror-0.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-06-29 14:18:57 EDT
python-grokmirror-0.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-07-03 16:53:22 EDT
python-grokmirror-0.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.